actions: []
api_documentation: http://docs.ros.org/en/noetic/api/fanuc_driver/html
authors: G.A. vd. Hoorn (TU Delft Robotics Institute)
brief: ''
bugtracker: https://github.com/ros-industrial/fanuc/issues
depends:
- catkin
- industrial_robot_client
depends_on:
- fanuc
- fanuc_cr35ia_support
- fanuc_cr7ia_support
- fanuc_crx10ia_support
- fanuc_lrmate200i_support
- fanuc_lrmate200ib_support
- fanuc_lrmate200ic_support
- fanuc_lrmate200id_support
- fanuc_m10ia_support
- fanuc_m16ib_support
- fanuc_m20ia_support
- fanuc_m20ib_support
- fanuc_m430ia_support
- fanuc_m6ib_support
- fanuc_m710ic_support
- fanuc_m900ia_support
- fanuc_m900ib_support
- fanuc_r1000ia_support
- fanuc_r2000ib_support
- fanuc_r2000ic_support
description: "<p>\n     ROS-Industrial nodes for interfacing with Fanuc robot controllers.\n\
  \   </p>\n   <p>\n     This package is part of the ROS-Industrial program and contains\
  \ nodes\n     for interfacing with Fanuc industrial robot controllers that support\n\
  \     the KAREL programming environment.\n   </p>\n   <p>\n     Refer to the readme\
  \ of this package for a note on the performance of\n     the driver.\n   </p>"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__fanuc__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__fanuc__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
metapackages:
- fanuc
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__fanuc_driver__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__fanuc_driver__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__fanuc_driver__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__fanuc_driver__ubuntu_focal_arm64__binary
repo_name: fanuc
repo_url: https://github.com/ros-industrial/fanuc
srvs: []
timestamp: 1740052838.3513582
url: http://wiki.ros.org/fanuc_driver
vcs: git
vcs_uri: https://github.com/ros-industrial/fanuc.git
vcs_version: noetic
